Skip to main content
`Ctrl`+`K`

# MatPartitioningChacoGetEigenNumber

Gets the number of eigenvectors used by Chaco.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoGetEigenNumber(MatPartitioning part, PetscInt *num)

Not Collective

## Input Parameter

- part - the partitioning context

## Output Parameter

- num - number of eigenvectors

## See Also

`MatPartitioningType`, `MatPartitioning`, `MATPARTITIONINGCHACO`, `MatPartitioningChacoSetEigenNumber()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/chaco/chaco.c

## Implementations

MatPartitioningChacoGetEigenNumber_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages